# FileLocker Class Reference
[Different locking methods implementation]

File based locker. More...

Inheritance diagram for FileLocker:
[legend]

List of all members.

## Public Member Functions

| __construct ($directory= 'file-locking/')
| get ($key)
| acquire lock
| free ($key)
| release lock
| drop ($key)
| completely remove lock

## Private Attributes

| $directory = null

## Detailed Description

File based locker.

Definition at line 17 of file FileLocker.class.php.

## Constructor & Destructor Documentation

FileLocker::__construct | ( | $ | directory = `'file-locking/'` | ) |

Definition at line 21 of file FileLocker.class.php.

## Member Function Documentation

FileLocker::drop | ( | $ | key | ) |

completely remove lock

Reimplemented from BaseLocker.

Definition at line 46 of file FileLocker.class.php.

FileLocker::free | ( | $ | key | ) |

release lock

Reimplemented from BaseLocker.

Definition at line 41 of file FileLocker.class.php.

FileLocker::get | ( | $ | key | ) |

acquire lock

Reimplemented from BaseLocker.

Definition at line 34 of file FileLocker.class.php.

## Member Data Documentation

FileLocker::$directory = null`[private]`

Definition at line 19 of file FileLocker.class.php.

The documentation for this class was generated from the following file:

- core/Cache/FileLocker.class.php